XSetCloseDownMode(3)

NAME
XSetCloseDownMode, XKillClient - control clients

SYNTAX

int XSetCloseDownMode(Display *display, int close_mode);

int XKillClient(Display *display, XID resource);

ARGUMENTS

close_mode
    Specifies the client close-down mode. You can pass or

display
    Specifies the connection to the X server.

resource
    Specifies any resource associated with the client that you want to destroy or

DESCRIPTION
The defines what will happen to the client's resources at connection close. A connection starts in mode. For information on what happens to the client's resources when the close_mode argument is or see section 2.6.

can generate a error.

The function forces a close down of the client that created the resource if a valid resource is specified. If the client has already terminated in either or mode, all of the client's resources are destroyed. If is specified, the resources of all clients that have terminated in are destroyed (see section 2.5). This permits implementation of window manager facilities that aid debugging. A client can set its close-down mode to If the client then crashes, its windows would not be destroyed. The programmer can then inspect the application's window tree and use the window manager to destroy the zombie windows.

can generate a error.

DIAGNOSTICS

Some numeric value falls outside the range of values accepted by the request.
    Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.

SEE ALSO
Xlib - C Language X Interface